Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class LMAccess.GROUP_INFO_3

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.LMAccess.GROUP_INFO_3

Enclosing interface:
  LMAccess

    public static class LMAccess.GROUP_INFO_3

extends com.sun.jna.Structure

The GROUP_INFO_3 structure contains information about a global group, including name, security identifier (SID), and resource attributes.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` | `grpi3_attributes` These attributes are hard-coded to SE_GROUP_MANDATORY, SE_GROUP_ENABLED, and SE_GROUP_ENABLED_BY_DEFAULT.
`com.sun.jna.WString` | `grpi3_comment` Pointer to a null-terminated Unicode character string that contains a remark associated with the global group.
`WinNT.PSID` | `grpi3_group_sid` Pointer to a SID structure that contains the security identifier (SID) that uniquely identifies the global group.
`com.sun.jna.WString` | `grpi3_name` Pointer to a null-terminated Unicode character string that specifies the name of the global group.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`LMAccess.GROUP_INFO_3()`
`LMAccess.GROUP_INFO_3(com.sun.jna.Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### grpi3_name

    public com.sun.jna.WString grpi3_name

  Pointer to a null-terminated Unicode character string that specifies the name of the global group.

### grpi3_comment

    public com.sun.jna.WString grpi3_comment

  Pointer to a null-terminated Unicode character string that contains a remark associated with the global group. This member can be a null string. The comment can contain MAXCOMMENTSZ characters.

### grpi3_group_sid

    public WinNT.PSID grpi3_group_sid

  Pointer to a SID structure that contains the security identifier (SID) that uniquely identifies the global group.

### grpi3_attributes

    public int grpi3_attributes

  These attributes are hard-coded to SE_GROUP_MANDATORY, SE_GROUP_ENABLED, and SE_GROUP_ENABLED_BY_DEFAULT.

Constructor Detail

### LMAccess.GROUP_INFO_3

    public LMAccess.GROUP_INFO_3()

### LMAccess.GROUP_INFO_3

    public LMAccess.GROUP_INFO_3(com.sun.jna.Pointer memory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD